### Method

# FwupdPlugin Firmware export_to_xml

since: 1.6.0

#### Declaration [src]

    gchar*
    fu_firmware_export_to_xml (
      FuFirmware* self,
      guint64 flags,
      GError** error
    )

#### Description [src]

This allows us to build an XML object for the nested firmware.

Available since: 1.6.0

#### Parameters

`flags`

  Type: `guint64`

  Firmware export flags, e.g. `FU_FIRMWARE_EXPORT_FLAG_INCLUDE_DEBUG`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string value, or `NULL` for invalid.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.